From 880c306b5d430d78d7c290bb4ea41e249e946700 Mon Sep 17 00:00:00 2001
From: Ryan Zezeski <ryan@zinascii.com>
Date: Thu, 21 May 2020 23:23:45 -0600
Subject: [PATCH] 12893 inconsistencies in mkfifo(1M) Reviewed by: Peter
 Tribble <peter.tribble@gmail.com>

---
 usr/src/man/man1m/mkfifo.1m | 40 +++++++++----------------------------
 1 file changed, 9 insertions(+), 31 deletions(-)

diff --git a/usr/src/man/man1m/mkfifo.1m b/usr/src/man/man1m/mkfifo.1m
index 3d9323ef43..bbfa415651 100644
--- a/usr/src/man/man1m/mkfifo.1m
+++ b/usr/src/man/man1m/mkfifo.1m
@@ -44,25 +44,21 @@
 .\" Copyright (c) 1992, X/Open Company Limited  All Rights Reserved
 .\" Portions Copyright (c) 2009, Sun Microsystems, Inc.  All Rights Reserved
 .\"
-.TH MKFIFO 1M "Aug 11, 2009"
+.TH MKFIFO 1M "Jun 24, 2020"
 .SH NAME
 mkfifo \- make FIFO special file
 .SH SYNOPSIS
-.LP
 .nf
-\fB/usr/bin/mkfifo\fR [\fB-m\fR \fImode\fR] \fIpath\fR...
+\fB/usr/bin/mkfifo\fR [\fB-m\fR \fImode\fR] \fIfile\fR...
 .fi
 
 .SS "ksh93"
-.LP
 .nf
 mkfifo [ \fIoptions\fR ] \fIfile\fR...
 .fi
 
 .SH DESCRIPTION
 .SS "/usr/bin/mkfifo"
-.sp
-.LP
 The \fBmkfifo\fR utility creates the \fBFIFO\fR special files named by its
 argument list. The arguments are taken sequentially, in the order specified;
 and each \fBFIFO\fR special file is either created completely or, in the case
@@ -70,23 +66,19 @@ of an error or signal, not created at all.
 .sp
 .LP
 If errors are encountered in creating one of the special files, \fBmkfifo\fR
-writes a diagnostic message to the standard error and continues with the
+writes a diagnostic message to standard error and continues with the
 remaining arguments, if any.
 .sp
 .LP
-The \fBmkfifo\fR utility calls the library routine \fBmkfifo\fR(3C), with the
-\fIpath\fR argument is passed as the \fIpath\fR argument from the command line,
-and  \fImode\fR is set to the equivalent of \fBa=rw\fR, modified by the current
+The \fBmkfifo\fR utility calls the library routine \fBmkfifo\fR(3C), with a
+\fIpath\fR argument equivalent to the \fIfile\fR argument from the command line,
+and \fImode\fR is set to the equivalent of \fBa=rw\fR, modified by the current
 value of the file mode creation mask \fBumask\fR(1).
 .SS "ksh93"
-.sp
-.LP
 The \fBmkfifo\fR utility creates one or more \fBFIFO\fRs. By default, the mode
 of the created FIFO is \fBa=rw\fR minus the bits set in \fBumask\fR(1).
 .SH OPTIONS
-.SS "/usr/bin/ksh93"
-.sp
-.LP
+.SS "/usr/bin/mkfifo"
 The following option is supported for \fB/usr/bin/mkfifo\fR:
 .sp
 .ne 2
@@ -96,14 +88,12 @@ The following option is supported for \fB/usr/bin/mkfifo\fR:
 .RS 11n
 Set the file permission bits of the newly-created \fBFIFO\fR to the specified
 \fImode\fR value. The \fImode\fR option-argument will be the same as the
-\fImode\fR operand defined for the \fBchmod\fR(1) command. In
-<\fIsymbolic\fRmode> strings, the \fIop\fR characters \fB+\fR and \fB\(mi\fR
+\fImode\fR operand defined for the \fBchmod\fR(1) command. For a
+symbolic mode option-argument, the \fIop\fR characters \fB+\fR and \fB\(mi\fR
 will be interpreted relative to an assumed initial mode of \fBa=rw\fR.
 .RE
 
 .SS "ksh93"
-.sp
-.LP
 The following option is supported for \fBksh93\fR:
 .sp
 .ne 2
@@ -121,8 +111,6 @@ initial mode of \fBa=rw\fR.
 .RE
 
 .SH OPERANDS
-.sp
-.LP
 The following operand is supported:
 .sp
 .ne 2
@@ -134,19 +122,13 @@ A path name of the \fBFIFO\fR special file to be created.
 .RE
 
 .SH USAGE
-.sp
-.LP
 See \fBlargefile\fR(5) for the description of the behavior of \fBmkfifo\fR when
 encountering files greater than or equal to 2 Gbyte ( 2^31 bytes).
 .SH ENVIRONMENT VARIABLES
-.sp
-.LP
 See \fBenviron\fR(5) for descriptions of the following environment variables
 that affect the execution of \fBmkfifo\fR: \fBLANG\fR, \fBLC_ALL\fR,
 \fBLC_CTYPE\fR, \fBLC_MESSAGES\fR, and \fBNLSPATH\fR.
 .SH EXIT STATUS
-.sp
-.LP
 The following exit values are returned:
 .sp
 .ne 2
@@ -167,8 +149,6 @@ An error occurred.
 .RE
 
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -183,7 +163,5 @@ Interface Stability	Standard
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBchmod\fR(1), \fBumask\fR(1), \fBmkfifo\fR(3C), \fBattributes\fR(5),
 \fBenviron\fR(5), \fBlargefile\fR(5), \fBstandards\fR(5)
-- 
2.25.4

